List all policies
GET
/v1/policies
const url = 'http://api.disclosebot.localdev:3000/v1/policies';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://api.disclosebot.localdev:3000/v1/policies \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” page[number]
integer
page[size]
integer
Responses
Section titled “ Responses ”Successful
Media type application/vnd.api+json
object
data
required
Array<object>
object
id
required
string format: uuid
type
required
string
attributes
required
object
name
string
short_description
string
point_of_contact
string
cvd_timeline
integer
safe_harbor
string
offers_bounty
boolean
offers_swag
boolean
hall_of_fame
boolean
contact_url
string
securitytxt_url
string
hosted_policy_url
string
public_disclosure
boolean
launch_date
string format: date-time
policy_url_status
string
creation_mode
string
hosting_mode
string
custom_domain
string
published_at
string format: date-time
shortcode
string
branding
object
primary_color
string
secondary_color
string
accent_color
string
font_heading
string
font_body
string
google_fonts
Array<string>
created_at
string format: date-time
updated_at
string format: date-time
in_scope_assets
Array<object>
object
id
string format: uuid
kind
string
value
string
short_description
string
out_of_scope_assets
Array<object>
object
id
string format: uuid
kind
string
value
string
short_description
string
relationships
object
organization
object
data
object
id
required
string format: uuid
type
required
string
policy_template
object
data
object
id
string format: uuid
type
string
assets
object
data
Array<object>
object
id
string format: uuid
type
string
briefs
object
data
Array<object>
object
id
string format: uuid
type
string
Example
{ "data": [ { "type": "policy", "attributes": { "safe_harbor": "full" }, "relationships": { "organization": { "data": { "type": "organization" } }, "policy_template": { "data": { "type": "policy_template" } }, "assets": { "data": [ { "type": "asset" } ] }, "briefs": { "data": [ { "type": "brief" } ] } } } ]}Unauthorized